diff -rup pbench-agent-0.72.0/agent/base pbench-agent-0.72.0_mod/agent/base
--- pbench-agent-0.72.0/agent/base	2022-09-16 02:05:35.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/base	2022-09-28 16:55:00.222964139 +0530
@@ -54,7 +54,7 @@ fi
 if [[ -z "${pbench_install_dir}" ]]; then
     pbench_install_dir=$(pbench-config install-dir pbench-agent)
     if [[ -z "${pbench_install_dir}" ]]; then
-        pbench_install_dir=/opt/pbench-agent
+        pbench_install_dir=/usr/share/pbench-agent
     fi
     if [[ ! -d ${pbench_install_dir} ]]; then
         echo "[ERROR] pbench installation directory, ${pbench_install_dir}, does not exist" >&2
diff -rup pbench-agent-0.72.0/agent/bench-scripts/pbench-fio.md pbench-agent-0.72.0_mod/agent/bench-scripts/pbench-fio.md
--- pbench-agent-0.72.0/agent/bench-scripts/pbench-fio.md	2022-04-28 23:02:33.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/bench-scripts/pbench-fio.md	2022-09-28 16:56:52.282486970 +0530
@@ -95,7 +95,7 @@ A slightly different set of parameters i
 is shared by multiple clients/mountpoints).  For this to work, you must do 2 things:
 
 * specify --target=my-directory 
-* specify --job-file=/opt/pbench-agent/bench-scripts/templates/fio-shared-fs.job  
+* specify --job-file=/usr/share/pbench-agent/bench-scripts/templates/fio-shared-fs.job  
 
 **my-directory** is the shared filesystem mountpoint or some subdirectory of it
 
@@ -274,7 +274,7 @@ shows how to do that:
 
 ```
 pbench-fio -c 192.168.121.64,192.168.121.112,192.168.121.158 \
-  --job-file=/opt/pbench-agent/bench-scripts/templates/fio.job \
+  --job-file=/usr/share/pbench-agent/bench-scripts/templates/fio.job \
   --targets=/dev/rbd0,/dev/rbd1 \
   -b 4 -t read -s 64m
 ```
@@ -288,7 +288,7 @@ mountpoint to a distributed filesystem.
 
 ```
 pbench-fio -c 192.168.121.64,192.168.121.112,192.168.121.158 \
-  --job-file=/opt/pbench-agent/bench-scripts/templates/fio-shared-fs.job \
+  --job-file=/usr/share/pbench-agent/bench-scripts/templates/fio-shared-fs.job \
   --targets=/mnt/cephfs \
   -b 4 -t read -s 64m
 ```
diff -rup pbench-agent-0.72.0/agent/bench-scripts/postprocess/fio-prepare-jobfile pbench-agent-0.72.0_mod/agent/bench-scripts/postprocess/fio-prepare-jobfile
--- pbench-agent-0.72.0/agent/bench-scripts/postprocess/fio-prepare-jobfile	2022-04-28 23:02:33.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/bench-scripts/postprocess/fio-prepare-jobfile	2022-09-28 17:03:22.938238557 +0530
@@ -3,7 +3,7 @@
 # Just copy/rename the jobfile specified in the params to the default location
 
 /bin/rm -f /var/lib/pbench-agent/tmp/fio.job
-jobfile_path="/opt/pbench-agent/bench-scripts/contrib/fio.job"
+jobfile_path="/usr/share/pbench-agent/bench-scripts/contrib/fio.job"
 while [ ! -z $1 ]; do
 	arg=`echo $1 | awk -F= '{print $1}'`
 	echo "arg: $arg"
diff -rup pbench-agent-0.72.0/agent/config/pbench-agent.cfg pbench-agent-0.72.0_mod/agent/config/pbench-agent.cfg
--- pbench-agent-0.72.0/agent/config/pbench-agent.cfg	2022-04-28 23:02:33.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/config/pbench-agent.cfg	2022-09-28 17:07:09.416220318 +0530
@@ -1,5 +1,5 @@
 [DEFAULT]
-pbench_install_dir = /opt/pbench-agent
+pbench_install_dir = /usr/share/pbench-agent
 # CHANGE ME!
 pbench_web_server = pbench.example.com
 
diff -rup pbench-agent-0.72.0/agent/lib/pbench/agent/base.py pbench-agent-0.72.0_mod/agent/lib/pbench/agent/base.py
--- pbench-agent-0.72.0/agent/lib/pbench/agent/base.py	2022-09-16 02:05:35.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/lib/pbench/agent/base.py	2022-09-28 17:07:52.924408936 +0530
@@ -61,7 +61,7 @@ class BaseCommand(metaclass=abc.ABCMeta)
 
         self.pbench_install_dir = self.config.pbench_install_dir
         if self.pbench_install_dir is None:
-            self.pbench_install_dir = "/opt/pbench-agent"
+            self.pbench_install_dir = "/usr/share/pbench-agent"
         if not self.pbench_install_dir.exists():
             click.secho(
                 f"[ERROR] pbench installation directory, {self.pbench_install_dir}, does not exist"
diff -rup pbench-agent-0.72.0/agent/lib/pbench/common/constants.py pbench-agent-0.72.0_mod/agent/lib/pbench/common/constants.py
--- pbench-agent-0.72.0/agent/lib/pbench/common/constants.py	2022-04-28 23:02:35.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/lib/pbench/common/constants.py	2022-09-28 17:07:27.966300734 +0530
@@ -1,4 +1,4 @@
 DEFAULT_PBENCH_AGENT_RUN_DIR = "/var/lib/pbench-agent"
-DEFAULT_PBENCH_AGENT_INSTALL_DIR = "/opt/pbench-agent"
+DEFAULT_PBENCH_AGENT_INSTALL_DIR = "/usr/share/pbench-agent"
 DEFAULT_SCP_OPTS = "-o StrictHostKeyChecking=no"
 DEFAULT_SSH_OPTS = DEFAULT_SCP_OPTS
diff -rup pbench-agent-0.72.0/agent/lib/PbenchBase.pm pbench-agent-0.72.0_mod/agent/lib/PbenchBase.pm
--- pbench-agent-0.72.0/agent/lib/PbenchBase.pm	2022-04-28 23:02:33.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/lib/PbenchBase.pm	2022-09-28 17:08:18.670520537 +0530
@@ -38,7 +38,7 @@ sub get_pbench_run_dir {
 }
 
 sub get_pbench_install_dir {
-    my $dir = $ENV{'pbench_install_dir'}; # typically /opt/pbench-agent
+    my $dir = $ENV{'pbench_install_dir'}; # typically /usr/share/pbench-agent
     chomp $dir;
     return $dir;
 }
diff -rup pbench-agent-0.72.0/agent/profile pbench-agent-0.72.0_mod/agent/profile
--- pbench-agent-0.72.0/agent/profile	2022-04-28 23:02:33.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/profile	2022-09-28 17:08:31.451571928 +0530
@@ -10,7 +10,7 @@ _pbench_pathins "/usr/sbin"
 _pbench_pathins "/usr/bin"
 
 function _pbench_setup() {
-    local prefix=/opt/pbench-agent
+    local prefix=/usr/share/pbench-agent
 
     if [[ ! -f ${prefix}/profile ]]; then
 	if [[ -f ${PWD}/profile ]]; then
diff -rup pbench-agent-0.72.0/agent/tool-scripts/pcp pbench-agent-0.72.0_mod/agent/tool-scripts/pcp
--- pbench-agent-0.72.0/agent/tool-scripts/pcp	2022-09-16 02:05:35.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/tool-scripts/pcp	2022-09-28 17:08:45.962618072 +0530
@@ -12,7 +12,7 @@ if len(sys.argv) != 2 or sys.argv[1] !=
         file=sys.stderr,
     )
     print(
-        f"{PROG}: Run /opt/pbench-agent/tool-scripts/pcp --help for more info.",
+        f"{PROG}: Run /usr/share/pbench-agent/tool-scripts/pcp --help for more info.",
         file=sys.stderr,
     )
     sys.exit(1)
diff -rup pbench-agent-0.72.0/agent/util-scripts/pbench-copy-result-tb pbench-agent-0.72.0_mod/agent/util-scripts/pbench-copy-result-tb
--- pbench-agent-0.72.0/agent/util-scripts/pbench-copy-result-tb	2022-04-28 23:02:35.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/util-scripts/pbench-copy-result-tb	2022-09-28 17:05:36.774818721 +0530
@@ -23,7 +23,7 @@ function usage() {
     printf -- "\nprefix:\n"
     printf -- " The Pbench server path where incoming tarballs are stored, as reported by\n"
     printf -- " 'pbench-config host_info_url results'\n"
-    printf -- "\n\nThis command requires a 0.69 Pbench server id_rsa file in /opt/pbench-agent;\n"
+    printf -- "\n\nThis command requires a 0.69 Pbench server id_rsa file in /usr/share/pbench-agent;\n"
     printf -- "do not use this command with a Pbench server more recent than 0.69.\n"
 }
 
diff -rup pbench-agent-0.72.0/agent/util-scripts/tool-meister/tool-data-sink-ep pbench-agent-0.72.0_mod/agent/util-scripts/tool-meister/tool-data-sink-ep
--- pbench-agent-0.72.0/agent/util-scripts/tool-meister/tool-data-sink-ep	2022-06-08 03:41:59.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/util-scripts/tool-meister/tool-data-sink-ep	2022-09-28 17:06:08.130954646 +0530
@@ -3,6 +3,6 @@
 _dir="$(dirname ${0})"
 
 source /etc/profile.d/pbench-agent.sh
-source /opt/pbench-agent/base
+source /usr/share/pbench-agent/base
 # Instruct the Tool Data Sink not to daemonize.
-/opt/pbench-agent/util-scripts/tool-meister/pbench-tool-data-sink "${REDIS_HOST}" "${REDIS_PORT}" "${PARAM_KEY}" "${INSTANCE_UUID}" no
+/usr/share/pbench-agent/util-scripts/tool-meister/pbench-tool-data-sink "${REDIS_HOST}" "${REDIS_PORT}" "${PARAM_KEY}" "${INSTANCE_UUID}" no
diff -rup pbench-agent-0.72.0/agent/util-scripts/tool-meister/tool-meister-ep pbench-agent-0.72.0_mod/agent/util-scripts/tool-meister/tool-meister-ep
--- pbench-agent-0.72.0/agent/util-scripts/tool-meister/tool-meister-ep	2022-06-08 03:41:59.000000000 +0530
+++ pbench-agent-0.72.0_mod/agent/util-scripts/tool-meister/tool-meister-ep	2022-09-28 17:06:51.511142698 +0530
@@ -3,6 +3,6 @@
 _dir="$(dirname ${0})"
 
 source /etc/profile.d/pbench-agent.sh
-source /opt/pbench-agent/base
+source /usr/share/pbench-agent/base
 # Instruct the Tool Meister not to daemonize.
-/opt/pbench-agent/util-scripts/tool-meister/pbench-tool-meister "${REDIS_HOST}" "${REDIS_PORT}" "${PARAM_KEY}" "${INSTANCE_UUID}" no
+/usr/share/pbench-agent/util-scripts/tool-meister/pbench-tool-meister "${REDIS_HOST}" "${REDIS_PORT}" "${PARAM_KEY}" "${INSTANCE_UUID}" no
